From: "Steve M. Robbins" <smr@sumost.ca>
Date: Wed, 28 Dec 2016 17:03:12 -0600
Subject: Create install files with soversion. Add the SOVERSION to the name
 of the created install files for libqtav and libqtavwidgets.

---
 src/libQtAV.pro            | 2 +-
 widgets/libQtAVWidgets.pro | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/libQtAV.pro b/src/libQtAV.pro
index 8e49668..e677953 100644
--- a/src/libQtAV.pro
+++ b/src/libQtAV.pro
@@ -625,7 +625,7 @@ icon.path = /usr/share/icons/hicolor/scalable/apps
 INSTALLS += icon
 #debian
 DEB_INSTALL_LIST = .$$[QT_INSTALL_LIBS]/libQt*AV.so.*
-libqtav.target = libqtav.install
+libqtav.target = libqtav1.install
 libqtav.commands = echo \"$$join(DEB_INSTALL_LIST, \\n)\" >$$PROJECTROOT/debian/$${libqtav.target}
 QMAKE_EXTRA_TARGETS += libqtav
 target.depends *= $${libqtav.target}
diff --git a/widgets/libQtAVWidgets.pro b/widgets/libQtAVWidgets.pro
index 599aa90..01c5fec 100644
--- a/widgets/libQtAVWidgets.pro
+++ b/widgets/libQtAVWidgets.pro
@@ -107,7 +107,7 @@ config_x11 {
   LIBS *= -lX11
 }
 # QtAV/private/* may be used by developers to extend QtAV features without changing QtAV library
-# headers not in QtAV/ and it's subdirs are used only by QtAV internally
+# headers not in QtAV/ and its subdirs are used only by QtAV internally
 HEADERS *= \
     $$SDK_HEADERS \
     $$SDK_PRIVATE_HEADERS
@@ -143,7 +143,7 @@ mac {
 unix:!android:!mac {
 #debian
 DEB_INSTALL_LIST = .$$[QT_INSTALL_LIBS]/libQt*AVWidgets.so.*
-libqtavwidgets.target = libqtavwidgets.install
+libqtavwidgets.target = libqtavwidgets1.install
 libqtavwidgets.commands = echo \"$$join(DEB_INSTALL_LIST, \\n)\" >$$PROJECTROOT/debian/$${libqtavwidgets.target}
 QMAKE_EXTRA_TARGETS += libqtavwidgets
 target.depends *= $${libqtavwidgets.target}
